package com.hzya.frame.grpU8.nxproof.glPznr.dao.impl;



import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.grpU8.nxproof.glPznr.dao.ISenderGlPznrDao;
import com.hzya.frame.grpU8.nxproof.glPznr.entity.SenderGlPznrEntity;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * (GlPznr)表数据库访问层
 *
 * @author makejava
 * @since 2024-06-20 14:14:30
 */
@Repository(value = "SenderGlPznrDaoImpl")
public class SenderGlPznrDaoImpl extends MybatisGenericDao<SenderGlPznrEntity, String> implements ISenderGlPznrDao {


    @Override
    @DS("#senderGlPznrEntity.dataSourceCode")
    public List<SenderGlPznrEntity> querySenderGlPznrEntity(SenderGlPznrEntity senderGlPznrEntity) {
        return super.queryByLike(senderGlPznrEntity);
    }

    @Override
    @DS("#senderGlPznrEntity.dataSourceCode")
    public SenderGlPznrEntity saveSenderGlPznrEntity(SenderGlPznrEntity senderGlPznrEntity) {
        return super.save(senderGlPznrEntity);
    }

    @Override
    @DS("#senderGlPznrEntity.dataSourceCode")
    public SenderGlPznrEntity updateSenderGlPznrEntity(SenderGlPznrEntity senderGlPznrEntity) {
        return super.update(senderGlPznrEntity);
    }

    @Override
    @DS("#senderGlPznrEntity.dataSourceCode")
    public SenderGlPznrEntity querySenderGlPznrEntityOne(SenderGlPznrEntity senderGlPznrEntity) {
        SenderGlPznrEntity glPznrEntity = (SenderGlPznrEntity)super.selectOne( "querySenderGlPznrEntityOne", senderGlPznrEntity);
        return glPznrEntity;
    }

    @Override
    @DS("#senderGlPznrEntity.dataSourceCode")
    public List<SenderGlPznrEntity> queryGlPznrHealthBureau(SenderGlPznrEntity senderGlPznrEntity) {
        return super.query(senderGlPznrEntity);
    }

    @Override
    @DS("#senderGlPznrEntity.dataSourceCode")
    public SenderGlPznrEntity saveGlPznrHealthBureau(SenderGlPznrEntity senderGlPznrEntity) {
        return super.save(senderGlPznrEntity);
    }

    @Override
    @DS("#senderGlPznrEntity.dataSourceCode")
    public SenderGlPznrEntity updateGlPznrHealthBureau(SenderGlPznrEntity senderGlPznrEntity) {
        return super.update(senderGlPznrEntity);
    }

    @Override
    @DS("#senderGlPznrEntity.dataSourceCode")
    public Integer deleteGlPznrHealthBureau(SenderGlPznrEntity senderGlPznrEntity) {
        return super.delete("SenderGlPznrEntity_delete_pznr",senderGlPznrEntity);
    }


}

